# Class GomokuGame

java.lang.Object
GomokuGame

public class GomokuGame extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private int`
  `boardHeight`
  `private int`
  `boardWidth`
  `static final int`
  `DEFAULT_BOARD_HEIGHT`
  `static final int`
  `DEFAULT_BOARD_WIDTH`
  `static final int`
  `DEFAULT_TOKENS_COUNT`
  `private Player`
  `player1`
  `private Player`
  `player2`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GomokuGame()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GomokuBoard`
  `getBoard()`
  `void`
  `load(Path filename)`
  `static void`
  `main(String[] args)`
  `void`
  `newGame()`
  `void`
  `save(Path filename)`
  `void`
  `startGame()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_BOARD_WIDTH

    public static final int DEFAULT_BOARD_WIDTH
    See Also:
      - Constant Field Values

  - ### DEFAULT_BOARD_HEIGHT

    public static final int DEFAULT_BOARD_HEIGHT
    See Also:
      - Constant Field Values

  - ### DEFAULT_TOKENS_COUNT

    public static final int DEFAULT_TOKENS_COUNT
    See Also:
      - Constant Field Values

  - ### player1

    private Player player1

  - ### player2

    private Player player2

  - ### boardWidth

    private int boardWidth

  - ### boardHeight

    private int boardHeight

- ## Constructor Details

  - ### GomokuGame

    public GomokuGame()

- ## Method Details

  - ### main

    public static void main(String[] args)

  - ### newGame

    public void newGame()

  - ### startGame

    public void startGame()

  - ### save

    public void save(Path filename)

  - ### load

    public void load(Path filename)

  - ### getBoard

    public GomokuBoard getBoard()